co.aikar.commands

## Interface AnnotationProcessor<T extends Annotation>

All Known Implementing Classes:
  ConditionsProcessor

Deprecated.

    @Deprecated
    public interface AnnotationProcessor<T extends Annotation>

### Method Summary

All Methods Instance Methods Default Methods Deprecated Methods
`default @Nullable Set<Class<?>>` `getApplicableParameters()` Deprecated.
`default void` `onBaseCommandRegister(BaseCommand command, T annotation)` Deprecated.
`default void` `onCommandRegistered(RegisteredCommand command, T annotation)` Deprecated.
`default void` `onParameterRegistered(RegisteredCommand command, int parameterIndex, Parameter p, T annotation)` Deprecated.
`default void` `onPostComand(CommandOperationContext context)` Deprecated.
`default void` `onPostContextResolution(CommandExecutionContext context, Object resolvedValue)` Deprecated.
`default void` `onPreComand(CommandOperationContext context)` Deprecated.
`default void` `onPreContextResolution(CommandExecutionContext context)` Deprecated.

### Method Detail

#### getApplicableParameters

    @Nullable
    default @Nullable Set<Class<?>> getApplicableParameters()

Deprecated.

#### onBaseCommandRegister

    default void onBaseCommandRegister(BaseCommand command,
                                       T annotation)

Deprecated.

#### onCommandRegistered

    default void onCommandRegistered(RegisteredCommand command,
                                     T annotation)

Deprecated.

#### onParameterRegistered

    default void onParameterRegistered(RegisteredCommand command,
                                       int parameterIndex,
                                       Parameter p,
                                       T annotation)

Deprecated.

#### onPreComand

    default void onPreComand(CommandOperationContext context)

Deprecated.

#### onPostComand

    default void onPostComand(CommandOperationContext context)

Deprecated.

#### onPreContextResolution

    default void onPreContextResolution(CommandExecutionContext context)

Deprecated.

#### onPostContextResolution

    default void onPostContextResolution(CommandExecutionContext context,
                                         Object resolvedValue)

Deprecated.